﻿using System;
using System.Data;
using System.Data.SqlClient;

public class clsSqlCallStoredProcedure
{
    static SqlConnection con;

    public void Main()
    {
        con = new SqlConnection("Server=(local)\\SQLEXPRESS;Initial Catalog=Northwind;Integrated Security=SSPI");

        SqlCommand cmd = new SqlCommand("Sales By Year", con);
        cmd.CommandType = CommandType.StoredProcedure;

        // Add Parameters to Command Parameters collection
        cmd.Parameters.Add("@Beginning_Date", SqlDbType.DateTime);
        cmd.Parameters.Add("@Ending_Date", SqlDbType.DateTime);
        cmd.Parameters["@Beginning_Date"].Value = "1/1/1990";
        cmd.Parameters["@Ending_Date"].Value = "1/1/2000";

        try
        {
            con.Open();
            SqlDataReader reader = cmd.ExecuteReader();
            while (reader.Read())
            {
                Console.WriteLine("{0} - {1:c}", reader.GetDateTime(0), reader.GetDecimal(2));
            }
            reader.Close();
        }
        finally
        {
            con.Close();
        }
        Console.ReadLine();

    }
}
