﻿using System;
using System.IO;
using Microsoft.VisualBasic;

// This example is from http://IdealProgrammer.com

public class clsBinaryFileReadRandom
{




	public  void Main()
	{
		Product prod = new Product();

		//Find next available file number
		int file_num = Microsoft.VisualBasic.FileSystem.FreeFile();

		//Open file in random mode so we can write the records 
		Microsoft.VisualBasic.FileSystem.FileOpen(file_num, "Products.DAT", Microsoft.VisualBasic.OpenMode.Random, Microsoft.VisualBasic.OpenAccess.ReadWrite, Microsoft.VisualBasic.OpenShare.Shared, Microsoft.VisualBasic.Strings.Len(prod));

		//Write the records
		try
		{
			Microsoft.VisualBasic.FileSystem.FilePut(file_num, new Product(1, "My Little Red Reader", "Book"), -1);
			Microsoft.VisualBasic.FileSystem.FilePut(file_num, new Product(2, "2001", "Video"), -1);
			Microsoft.VisualBasic.FileSystem.FilePut(file_num, new Product(3, "Dell Laptop", "Computer"), -1);
			Microsoft.VisualBasic.FileSystem.FilePut(file_num, new Product(4, "Toyota", "Car"), -1);
			Microsoft.VisualBasic.FileSystem.FilePut(file_num, new Product(5, "Cat", "Pet"), -1);
			Microsoft.VisualBasic.FileSystem.FilePut(file_num, new Product(6, "Carrots", "Food"), -1);

		}
		catch (FileNotFoundException fileException)
		{
			Console.WriteLine("File Does Not Exits");
		}
		catch (FormatException formattingException)
		{
			Console.WriteLine("Invalid Format");


		}


		//Read the records
		ValueType myProd = (ValueType)prod;
		for (var i = 6; i >= 1; i -= 2)
		{
			Microsoft.VisualBasic.FileSystem.FileGet(file_num, ref myProd, i);
			prod = (Product)myProd;
			Console.WriteLine(prod.ToString());
		}

		// Close the file.
		try
		{
			Microsoft.VisualBasic.FileSystem.FileClose(file_num);
		}
		catch (IOException e)
		{
			Console.WriteLine("Cannot close file");
		}


		//pause the console window
		Console.ReadLine();
	}
}

public struct Product
{
	public int ID;
	[VBFixedString(25)]
	public string ProductName;
	[VBFixedString(25)]
	public string ProductType;

	public Product(int new_id, string product_name, string product_type) : this()
	{
		ID = new_id;
		ProductName = product_name;
		ProductType = product_type;
	}

	public override string ToString()
	{
		return ID + ": " + ProductName + " " + ProductType;
	}
}