﻿using System;

public class clsConvertToDouble
{

    public void Main()
    {


        //****************************************************************************************
        // Purpose: Converts positive and negative numbers into double data type
        //
        // Syntax: 	Convert.ToDouble(expression)
        //
        // Parameter1: expression - -1.79769313486231570E+308 through 
        // -4.94065645841246544E-324 for negative values; 
        // 4.94065645841246544E-324 through 
        // 1.79769313486231570E+308 for positive values.
        //
        // Result: double - double precision floating point number
        //
        // Quick Example:  Convert.ToDouble(1.33) // Returns 1.33
        //
        //****************************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Convert.ToDouble(expression)");

        double double1 = Convert.ToDouble(1.33);

        Console.WriteLine(double1); // Returns 1.33

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Convert.ToDouble(expression)");

        double Double2 = Convert.ToDouble(-3.4);

        Console.WriteLine(Double2); // Returns -3.4
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Convert.ToDouble(expression)");

        double Double3 = Convert.ToDouble(5);

        Console.WriteLine(Convert.ToDouble(Double3)); // Returns 5

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}