﻿using System;

public class clsConvertToInt16
{

    public void Main()
    {


        //*****************************************************************************************
        // Purpose: Converts positive and negative numbers into Short data type
        // 
        // Syntax: 	Convert.ToInt16(expression)
        //  
        // Parameter1: expression - -32,768 through 32,767; fractional parts are rounded
        //
        // Result: Short - signed 16-bit (2-byte) integers 
        //
        // Quick Example: Convert.ToInt16(1.33) // Returns 1
        //
        //****************************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Convert.ToInt16(1.33)");

        short Short1 = Convert.ToInt16(1.33);

        Console.WriteLine(Short1); // Returns 1

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2:  Convert.ToInt16(-3.4)");

        short Short2 = Convert.ToInt16(-3.4);

        Console.WriteLine(Short2); // Returns -3
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: Convert.ToInt16(5.5)");

        short Short3 = Convert.ToInt16(5.5);

        Console.WriteLine(Convert.ToInt16(Short3)); // Returns 6

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}