﻿using System;

public class clsConvertToInt32
{

    public void Main()
    {


        //****************************************************************************************
        // Purpose: Converts positive and negative numbers into Integer data type
        //
        // Syntax: 	Convert.ToInt32(expression)
        //
        // Parameter1: expression - -2,147,483,648 through 2,147,483,647; fractional parts are rounded 
        //
        // Result: Integer - returns integer
        //
        // Quick Example: Convert.ToInt32(1.33) // Returns 1
        //
        //****************************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Convert.ToInt32(1.33)");

        int Integer1 = Convert.ToInt32(1.33);

        Console.WriteLine(Integer1); // Returns 1

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Convert.ToInt32(-3.4)");

        int Integer2 = Convert.ToInt32(-3.4);

        Console.WriteLine(Integer2); // Returns -3
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Convert.ToInt32(5.5)");

        int Integer3 = Convert.ToInt32(5.5);

        Console.WriteLine(Convert.ToInt32(Integer3)); // Returns 6

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}