﻿using System;
public class clsConvertToObject
{

    public void Main()
    {


        //****************************************************************************************
        // Purpose: Converts any valid expression into Object data type
        //
        // Syntax: 	(object)(expression)
        //
        // Parameter1: expression - any valid expression
        //
        // Result: object - returns input as an object
        //
        // Quick Example: (object)("Ideal") // Returns Ideal
        //
        //****************************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	(object)(expression)");

        object Object1 = (object)("Ideal");

        Console.WriteLine(Object1); // Returns Ideal

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	(object)(expression)");

        object Object2 = (object)-3.4;

        Console.WriteLine(Object2); // Returns -3.4
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	(object)(expression)");

        object Object3 = (object)5.5;

        Console.WriteLine((object)Object3); // Returns 5.5

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}