﻿using System;

public class clsConvertToSByte
{

    public void Main()
    {


        //*****************************************************************************************
        // Purpose: Converts positive and negative numbers into SByte data type
        //
        // Syntax: 	CSByte(expression)
        //
        // Parameter1: expression - -128 through 127; fractional parts are rounded.
        //
        // Result: SByte - Signed Byte
        //
        // Quick Example: Convert.ToSByte(1.33) // Returns 1
        //
        //****************************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Convert.ToSByte(1.33)");

        long Long1 = Convert.ToSByte(1.33);

        Console.WriteLine(Long1); // Returns 1

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Convert.ToSByte(-3.4)");

        long Long2 = Convert.ToSByte(-3.4);

        Console.WriteLine(Long2); // Returns -3
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Convert.ToSByte(5.5)");

        long Long3 = Convert.ToSByte(5.5);

        Console.WriteLine(Convert.ToSByte(Long3)); // Returns 6

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}