﻿using System;

public class clsConvertToString
{

    public void Main()
    {


        //*****************************************************************************************
        // Purpose: Converts boolean, date, and numeric data types into String data type
        // 
        // Syntax: 	Convert.ToString(expression)
        //  
        // Parameter1: expression - boolean, date, and numeric data types
        //
        // Result: String - 1. If boolean, returns string "True" or "False" 
        // 2. If date, returns A string containing a date value (date and time) in the short date 
        // format of your system
        // 3. If number, returns a string representing the number
        //
        // Quick Example: Convert.ToString(5.5) // Returns 5.5
        //
        //****************************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Convert.ToString(expression) - boolean");
        bool myBool = true;
        string String1 = Convert.ToString(myBool);

        Console.WriteLine(String1); // Returns "True"

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Convert.ToString(expression) - date");
        DateTime myDate = Convert.ToDateTime("10/21/2011");
        string String2 = Convert.ToString(myDate);

        Console.WriteLine(String2); // Returns 10/21/2011
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Convert.ToString(5.5) - number");

        string String3 = Convert.ToString(5.5);

        Console.WriteLine(Convert.ToString(String3)); // Returns 5.5

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}