﻿using System;
public class clsAbs
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: Returns the absolute value for the data type that was passed in.
        // 
        // 
        // Syntax: 	Abs(expression)
        //  
        // Parameter1: expression - 1. decimal - returns decimal number
        // 2. double - returns double-percision floating point number 
        // 3. int16 - returns 16-bit integer 
        // 4. int32 - returns 32-bit integer 
        // 5. int64 - returns 64-bit integer 
        // 6. sbyte - returns 8-bit signed integer 
        // 7. single - returns single-percision floating point number
        //
        // Result: Depends on input -  1. decimal - when input is decimal
        // 2. double - returns double-percision floating point number 
        // 3. int16 - returns 16-bit integer 
        // 4. int32 - returns 32-bit integer 
        // 5. int64 - returns 64-bit integer 
        // 6. sbyte - returns 8-bit signed integer 
        // 7. single - returns single-percision floating point number
        //
        // Quick Example: Abs(-3.4) // Returns 3.4
        //
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Abs(1.33)");
        decimal decNumber = 1.33M;

        Console.WriteLine(Math.Abs(decNumber)); // Returns 1.33

        //write blank line to make output easier to read
        Console.WriteLine();


        Console.WriteLine("Example #2: 	Abs(-3.4)");

        double douNumber = -3.4;

        Console.WriteLine(Math.Abs(douNumber)); // Returns 3.4
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Abs(-0)");

        int Integer3 = Math.Abs(-0);

        Console.WriteLine(Math.Abs(-0)); // Returns 0

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}