﻿using System;
public class clsCos
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: converts an angle measured in radians to a cosine.  (you can convert 
        // the radians to degrees by multiplying them by Math.PI/180) 
        // 
        // Syntax: 	Cos(doublenumber)
        //  
        // Parameter1: doublenumber - double percision floating point 
        // number representing an angle measured in radians. 
        //
        // Result: double - represents the cosine of the angle specified in 
        // parameter1. If parameter1 is equal to NaN, 
        // NegativeInfinity,  or PositiveInfinity, 
        // NaN (Not a Number) is returned.
        //
        // Quick Example: Cos(90) // Returns -0.4480736162917
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Cos(90)");

        Console.WriteLine(Math.Cos(90)); // Returns -0.4480736162917

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Cos(-3.4)");

        Console.WriteLine(Math.Cos(-3.4)); // Returns -0.966798192579461
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Cos(-0)");

        Console.WriteLine(Math.Cos(-0)); // Returns 1

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}