﻿using System;
public class clsLog
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: takes a double data type number and returns the natural
        // (base e) logarithm as a double data type.
        // 
        //
        // Syntax: 	Log(doublenumber)
        //  
        // Parameter1: doublenumber - Any valid System.Double data type number
        // 1. Positive - returns natural logarithm
        // 2. Zero - returns -Infinity
        // 3. Negative - returns NaN (Not a Number)
        //
        // Result: double - the natural (base e) logarithm
        //
        // Quick Example: Log(90) // Returns 4.49980967033027
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Log(90)");

        Console.WriteLine(Math.Log(90)); // Returns 4.49980967033027

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Log(-3.4)");

        Console.WriteLine(Math.Log(-3.4)); // Returns NaN Not a Number

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Log(0)");



        Console.WriteLine(Math.Log(0)); // Returns -Infinity

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}