﻿using System;
public class clsSin
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: converts an angle measured in radians to a Sin.  (you can convert 
        // the radians to degrees by multiplying them by Math.PI/180) 
        // 
        // Syntax: 	Sin(doublenumber)
        //  
        // Parameter1: doublenumber - double percision floating point 
        // number representing an angle measured in radians. 
        //
        // Result: double - represents the Sin of the angle specified in 
        // parameter1. If parameter1 is equal to NaN, 
        // NegativeInfinity,  or PositiveInfinity, 
        // NaN (Not a Number) is returned.
        //
        // Quick Example:  Sin(90) // Returns -0.893996663600558
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Sin(doublenumber)");

        Console.WriteLine("Sin(90) = {0}", Math.Sin(90)); // Returns -0.893996663600558

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Sin(doublenumber)");

        Console.WriteLine("Sin(-3.4) = {0}", Math.Sin(-3.4)); // Returns -0.255541102026831
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Sin(doublenumber)");

        Console.WriteLine("Sin(-0) = {0}", Math.Sin(-0)); // Returns 0

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}