﻿using System;
public class clsTanh
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: converts an angle measured in radians to a hyperbolic tangent.  (you can convert 
        // the radians to degrees by multiplying them by Math.PI/180) 
        // 
        // Syntax: 	Tanh(doublenumber)
        //  
        // Parameter1: doublenumber - double percision floating point 
        // number representing an angle measured in radians. 
        //
        // Result: double - represents the hyperbolic tangent of the angle specified in 
        // parameter1. If parameter1 is equal to NegativeInfinity, 
        // -1 is returned. If parameter1 is NaN, 
        // NaN (Not a Number) is returned. If parameter1
        // is PositiveInfinity, +1 is returned.
        //
        // Quick Example: Tanh(30 * 180 / Math.PI) // Returns 1
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Tanh(doublenumber)");

        double radians = 30 * 180 / Math.PI;

        Console.WriteLine("Tanh(radians) = {0}", Math.Tanh(radians)); // Returns 1

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Tanh(doublenumber)");

        radians = -90 * 180 / Math.PI;

        Console.WriteLine("Tanh(radians) = {0}", Math.Tanh(radians)); // Returns -1
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Tanh(doublenumber)");

        radians = 180 * 180 / Math.PI;

        Console.WriteLine("Tanh(radians) = {0}", Math.Tanh(radians)); // Returns 1

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}