﻿using System;

public class clsConvertToBoolean
{

    public void Main()
    {


        //****************************************************************************************
        // Purpose: Converts char, string, or numeric expression to boolean data type
        //
        // Syntax: 	Convert.ToBoolean(expression)
        //
        // Parameter1: expression - char, string, or numberic expression
        //
        // Result: Boolean - is false if input converts to 0; otherwise, it is true
        //
        // Quick Example: Convert.ToBoolean("True") // Returns True
        //
        //****************************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Convert.ToBoolean(string)");


        Console.WriteLine(Convert.ToBoolean("True")); // Returns True


        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Convert.ToBoolean(numeric expression)");


        Console.WriteLine(Convert.ToBoolean(1)); // Returns True

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}