﻿using System;

public class clsConvertToDateTime
{

    public void Main()
    {


        //****************************************************************************************
        // Purpose: Converts any valid date and time into date data type
        //
        // Syntax: 	Convert.ToDateTime(expression)
        //
        // Parameter1: expression - any valid representation of date and time
        //
        // Result: date - returns date
        //
        // Quick Example: Convert.ToDateTime("September 12, 2011") // Returns 9/12/2011 12:00:00 AM
        //
        //****************************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Convert.ToDateTime(expression)");

        DateTime date1 = Convert.ToDateTime("September 12, 2011");

        Console.WriteLine(date1); // Returns 9/12/2011 12:00:00 AM


        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Convert.ToDateTime(expression)");

        DateTime date2 = Convert.ToDateTime("3:08:40 PM");

        Console.WriteLine(date2); // Returns 1/1/0001 3:08:40 PM

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Convert.ToDateTime(expression)");

        DateTime date3 = Convert.ToDateTime("September 12, 2011 3:08:40 PM");

        Console.WriteLine(Convert.ToDateTime(date3)); // Returns September 12, 2011 3:08:40 PM

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}