﻿using System;

public class clsConvertToDecimal
{

    public void Main()
    {


        //****************************************************************************************
        // Purpose: Converts positive and negative numbers into decimal data type
        //
        // Syntax: Convert.ToDecimal(expression)
        //
        // Parameter1: expression - +/-79,228,162,514,264,337,593,543,950,335 for zero-scaled numbers, i.e., 
        // numbers with no decimal places. For numbers with 28 decimal places,
        // the range is +/-7.9228162514264337593543950335. The smallest possible non-zero 
        // number is 0.0000000000000000000000000001 (+/-1E-28).
        //
        // Result: decimal - returns decimal
        //
        // Quick Example: Convert.ToDecimal(1.33)  // Returns 1.33
        //
        //****************************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Convert.ToDecimal(expression)");

        decimal decimal1 = Convert.ToDecimal(1.33);

        Console.WriteLine(decimal1); // Returns 1.33

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Convert.ToDecimal(expression)");

        decimal decimal2 = Convert.ToDecimal(-3.4);

        Console.WriteLine(decimal2); // Returns -3.4
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Convert.ToDecimal(expression)");

        decimal Decimal3 = Convert.ToDecimal(5);

        Console.WriteLine(Convert.ToDecimal(Decimal3)); // Returns 5

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}