﻿using System;

public class clsConvertToInt64
{

    public void Main()
    {


        //****************************************************************************************
        // Purpose: Converts positive and negative numbers into Long data type
        //
        // Syntax: 	Convert.ToInt64(expression)
        //
        // Parameter1: expression - -9,223,372,036,854,775,808 through 9,223,372,036,854,775,807; fractional parts are rounded.
        //
        // Result: Long - returns 64-bit (8-byte) integers 
        //
        // Quick Example: Convert.ToInt64(1.33) // Returns 1
        //
        //****************************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Convert.ToInt64(1.33)");

        long Long1 = Convert.ToInt64(1.33);

        Console.WriteLine(Long1); // Returns 1

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Convert.ToInt64(-3.4)");

        long Long2 = Convert.ToInt64(-3.4);

        Console.WriteLine(Long2); // Returns -3
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Convert.ToInt64(5.5)");

        long Long3 = Convert.ToInt64(5.5);

        Console.WriteLine(Convert.ToInt64(Long3)); // Returns 6

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}