﻿using System;

public class clsConvertToSingle
{

    public void Main()
    {


        //*****************************************************************************************
        // Purpose: Converts positive and negative numbers into Single data type
        // 
        // Syntax: 	Convert.ToSingle(expression)
        // 
        // Parameter1: expression -  -3.402823E+38 through -1.401298E-45 for negative values; 1.401298E-45 
        // through 3.402823E+38 for positive values
        //
        // Result: Single - 32-bit (4-byte) single-precision floating-point numbers  
        //
        // Quick Example: Convert.ToSingle(1.33) // Returns 1.33
        //
        //****************************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Convert.ToSingle(expression)");

        float Single1 = Convert.ToSingle(1.33);

        Console.WriteLine(Single1); // Returns 1.33

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Convert.ToSingle(expression)");

        float Single2 = Convert.ToSingle(-3.4);

        Console.WriteLine(Single2); // Returns -3.4
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Convert.ToSingle(expression)");

        float Single3 = Convert.ToSingle(5.5);

        Console.WriteLine(Convert.ToSingle(Single3)); // Returns 5.5

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}