﻿using System;

public class clsConvertToUInt16
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: Converts numbers into UShort data type - UShort data type is a
        // 16-bit (2-byte) unsigned integer that can hold values from 0 to
        // 65,535 (unsigned). Rounds fractions to whole numbers
        // 
        // Syntax: 	CUShort(expression)
        // 
        // Parameter1: expression -  0 to 65,535 (unsigned) - will throw Exception if
        // negative number is passed in.  Rounds fractions
        // to whole numbers
        //
        // Result: UShort - 16-bit (2-byte) unsigned integer
        //
        // Quick Example: Convert.ToUInt16(1.33) // Returns 1
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Convert.ToUInt16(1.33)");

        ushort UShort1 = Convert.ToUInt16(1.33);

        Console.WriteLine(UShort1); // Returns 1

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Convert.ToUInt16(3.4)");

        ushort UShort2 = Convert.ToUInt16(3.4);

        Console.WriteLine(UShort2); // Returns 3
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Convert.ToUInt16(5.5)");

        ushort UShort3 = Convert.ToUInt16(5.5);

        Console.WriteLine(Convert.ToUInt16(UShort3)); // Returns 6

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}