﻿using System;
public class clsAcos
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: takes a cosine as double data type number and returns 
        // a double value that represents the angle in radians (you can convert 
        // the radians to degrees by multiplying them by Math.PI/180) 
        // 
        // Syntax: 	Acos(double)
        //  
        // Parameter1: double - Any valid System.Double data type number between -1 and +1 
        // - this represents the cosine that is to be converted into radians for an angle.
        // if number < -1 or > 1, NaN is returned - NaN stands for Not a Number
        //
        // Result: double - an angle measured in radians. The angle must be between 0 and pie. 
        // 
        // Quick Example: Acos(-0) // Returns 1.5707963267949
        //
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Acos(90)");

        Console.WriteLine(Math.Acos(90)); // Returns NaN

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Acos(-3.4)");

        Console.WriteLine(Math.Acos(-3.4)); // Returns NaN
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Acos(-0)");

        Console.WriteLine(Math.Acos(-0)); // Returns 1.5707963267949

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}