﻿using System;
public class clsAtan2
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: takes 2 double data type numbers and returns a double value 
        // containing the angle (measured in radians) whose tangent is the 
        // quotient of two specified numbers (you can convert 
        // the radians to degrees by multiplying them by Math.PI/180) 
        // 
        // Syntax: 	Atan2(y as double, x as double) 
        //  
        // Parameter1: y - double - y is the y coordinate of a point
        //
        // Parameter2: x - double - x is the x coordinate of a point
        //
        // Result: double - the angle measured in radians. (you can 
        // convert the radians to degrees by multiplying 
        // them by Math.PI/180)
        //
        // Quick Example: Atan2(1, 1) // Returns .785398163397448
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Atan2(0, 0)");

        Console.WriteLine(Math.Atan2(0, 0)); // Returns 0

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: Atan2(1, 1)");

        Console.WriteLine(Math.Atan2(1, 1)); // Returns .785398163397448
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Atan2(1, 2)");



        Console.WriteLine(Math.Atan2(1, 2)); // Returns .463647609000806

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}