﻿using System;
public class clsBigMul
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: takes 2 32-bit integer numbers and returns their full 
        // product as a 64-bit integer
        //  
        // Syntax: 	BigMul(int1 as Int32, int2 as Int32) 
        //
        // Parameter1: int1 - Int32
        //
        // Parameter2: int2 - Int32
        //
        // Result: 64 bit integer - full product of 2 inputs
        //      
        // Quick Example: BigMul(Int32.MaxValue,Int32.MaxValue) // Returns 4611686014132420609
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: BigMul(Int32.MaxValue,Int32.MaxValue)");
        Int32 int1 = Int32.MaxValue;
        Int32 int2 = Int32.MaxValue;
        Int64 result = 0;
        result = Math.BigMul(int1, int2);
        Console.WriteLine(result); // Returns 4611686014132420609




        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}