﻿using System;
public class clsSinh
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: takes an angle specified in radians (to convert degrees to  
        // radians multiply degrees by 180/Math.PI) and returns the hyperbolic
        // sine for the angle as a double data type.
        // 
        // Syntax: 	Sinh(doublenumber)
        //  
        // Parameter1: doublenumber - double percision floating point 
        // number representing an angle measured in radians. 
        //
        // Result: double - represents the hyperbolic sine of the angle 
        // specified in parameter1. If parameter1 is 
        // is equal to NegativeInfinity or PositiveInfinity, 
        // NaN (Not a Number), the function returns a 
        // value equal to parameter1.
        //
        // Quick Example: Sinh(90) // Returns 6.1020164715892E+38
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Sinh(doublenumber)");

        Console.WriteLine("Sinh(90) = {0}", Math.Sinh(90)); // Returns 6.1020164715892E+38

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Sinh(doublenumber)");

        Console.WriteLine("Sinh(-3.4) = {0}", Math.Sinh(-3.4)); // Returns -14.9987366586787
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Sinh(doublenumber)");


        Console.WriteLine("Sinh(0) = {0}", Math.Sinh(-0)); // Returns 0

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}