﻿using System;
public class clsSqrt
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: takes number as a double data type and returns the square 
        // root as a double data type.
        // 
        // Syntax: 	Sqrt(doublenumber)
        //  
        // Parameter1: doublenumber - double percision floating point 
        // number that you want to find the square root 
        //
        // Result: double - square root of the input parameter
        // 1. If input is 0 or positive, result is square
        // root of parameter1
        // 2. If input is negative or NaN (Not a Number),
        // result is NaN
        // 3. If input is positive infinity, result is
        // positive infinity
        //
        // Quick Example: Sqrt(4) // Returns 2
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Sqrt(doublenumber)");

        Console.WriteLine("Sqrt(4) = {0}", Math.Sqrt(4)); // Returns 2

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Sqrt(doublenumber)");

        Console.WriteLine("Sqrt(9) = {0}", Math.Sqrt(9)); // Returns 3
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Sqrt(doublenumber)");


        Console.WriteLine("Sqrt(-9) = {0}", Math.Sqrt(-9)); // Returns NaN

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}