﻿using System;
public class clsTan
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: converts an angle measured in radians to a tangent.  (you can convert 
        // the radians to degrees by multiplying them by Math.PI/180) 
        // 
        // Syntax: 	Tan(doublenumber)
        //  
        // Parameter1: doublenumber - double percision floating point 
        // number representing an angle measured in radians. 
        //
        // Result: double - represents the tangent of the angle specified in 
        // parameter1. If parameter1 is equal to NaN, 
        // NegativeInfinity,  or PositiveInfinity, 
        // NaN (Not a Number) is returned.
        //
        // Quick Example:  Tan(radians) // Returns 0.449218546627416
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Tan(doublenumber)");

        double radians = 30 * 180 / Math.PI;

        Console.WriteLine("Tan(radians) = {0}", Math.Tan(radians)); // Returns 0.449218546627416

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Tan(doublenumber)");

        radians = 90 * 180 / Math.PI;

        Console.WriteLine("Tan(radians) = {0}", Math.Tan(radians)); // Returns 3.18545051165583
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Tan(doublenumber)");

        radians = 180 * 180 / Math.PI;

        Console.WriteLine("Tan(radians) = {0}", Math.Tan(radians)); // Returns -0.696494466235817

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}