﻿using System;
public class clsTruncate
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: takes a decimal or double as input parameter1
        // and returns the number truncated without the
        // fractional decimals. 
        //
        // Syntax: 	1. Truncate(decimal)
        // 2. Truncate(double)

        //  
        // Parameter1: decimal - Any valid System.Decimal data type number
        // double - any valid System.Double data type.
        // Parameter1 specifies the number to be Truncated
        //
        // Result: decimal or double - depends on data type
        // of parameter1. It is decimal, if parameter1 is 
        // decimal. If parameter1 is double, result is double.
        //
        // Quick Example: Truncate(3.5) // Returns 3
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Truncate(decimal)");

        Console.WriteLine("Truncate(3.5) = {0}", Math.Truncate(3.5)); // Returns 3

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Truncate(double)");
        double myDouble = 6.5;
        Console.WriteLine("Truncate(myDouble) = {0}", Math.Truncate(myDouble)); // Returns 6
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Truncate(decimal)");



        Console.WriteLine("Truncate(0.9) = {0}", Math.Truncate(0.9)); // Returns 0

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}