﻿using System;
public class clsFormatNumber
{

    public void Main()
    {


        //****************************************************************************************
        // Syntax: 	FormatNumber (Expression As Object, _
        // NumDigitsAfterDecimal As Integer, _
        // IncludeLeadingDigit As TriState, _
        // UseParensForNegativeNumbers As TriState, _
        // GroupDigits As TriState _
        // ) As String
        //
        // Returns expression formatted as a number
        // 
        // Expression - Required - Expression to be formatted
        // NumDigitsAfterDecimal - Optional - Numeric value indicating how many places are displayed
        // to the right of the decimal. Default value is –1, which indicates that the computer's 
        // regional settings are used.
        // IncludeLeadingDigit - Optional. TriState enumeration that indicates whether or not a 
        // leading zero is displayed for fractional values. 
        // UseParensForNegativeNumbers - Optional. TriState enumeration that indicates whether 
        // or not to place negative values within parentheses. 
        // GroupDigits - Optional. TriState enumeration that indicates whether or not numbers are
        // grouped using the group delimiter specified in the computer's regional settings. 
        //****************************************************************************************

        Console.WriteLine("Example #1: 	FormatNumber (Expression As Object," + " NumDigitsAfterDecimal As Integer," + " IncludeLeadingDigit As TriState," + " UseParensForNegativeNumbers As TriState," + " GroupDigits As TriState " + " ) As String ");
        double dblNumber = -5432.43;

        // Returns "(5,432.430)".
        Console.WriteLine(Microsoft.VisualBasic.Strings.FormatNumber(dblNumber, 3, Microsoft.VisualBasic.TriState.UseDefault, Microsoft.VisualBasic.TriState.True, Microsoft.VisualBasic.TriState.True));


        //write blank line to make output easier to read
        Console.WriteLine();



        //Prevent console from closing before you press enter
        Console.ReadLine();

    }


}
