﻿using System;
public class clsReplace
{

    public void Main()
    {

        //****************************************************************************************
        // Purpose:  Returns a string with all occurrences of the old string in the string
        // replaced by the new string.
        //
        // Syntax: 	strField.Replace(strOldField, strNewField)
        //
        // Parameter1: strField - Required - string - that you use as the source
        // for having all occurrences of oldstring replaced with newstring
        //
        // Parameter2: strOldField - Required - string that you want to search
        // for so you can replace all occurrences of it.
        //
        // Parameter3: strNewField - Required - string that you want to replace
        // the oldstring with.
        //
        // Result: string -  Returns a string with all occurrences of the old string in the string
        // replaced by the new string.
        //
        // Quick Example:      string strField = "This is my string";
        // string strOldField = "my";
        // string strNewField = "your";
        // Console.WriteLine(strField.Replace(strOldField, strNewField)); //Returns This is your string
        //
        //****************************************************************************************

        //****************************************************************************************
        // Example #1: Replace(string, oldstring, newstring)
        // Returns a string with all occurrences of the old string in the string
        // replaced by the new string.
        //****************************************************************************************

        Console.WriteLine("Example #1: Replace(strField, strOldField, strNewField)");

        string strField = "This is my string";
        string strOldField = "my";
        string strNewField = "your";

        Console.WriteLine(strField.Replace(strOldField, strNewField)); //Returns This is your string

        //write blank line to make output easier to read
        Console.WriteLine();



        //Prevent console from closing before you press enter
        Console.ReadLine();

    }


}
